cURL
curl --request GET \
--url https://api.example.com/orders/{reference}/payments/{payment_reference}import requests
url = "https://api.example.com/orders/{reference}/payments/{payment_reference}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/orders/{reference}/payments/{payment_reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Operation Successful",
"data": {
"reference": "9689c0df-a313-4a5b-b71a-056c89b90977",
"paymentReference": "019d110b-c47f-7b86-8f87-c18c70b24f9f",
"currencyCode": "NGN",
"amount": 5000,
"status": "success"
},
"meta": {
"timestamp": "2026-03-20T18:36:18Z"
}
}Checkout
Get Order Payment Status
Get payment status for an order
GET
/
orders
/
{reference}
/
payments
/
{payment_reference}
cURL
Path Parameters
Example:
"9689c0df-a313-4c5b-b71a-056c89b90978"
Example:
"019d110e-aeca-769d-9385-83acbbdafef3"
